#include <stdio.h>
#include <stdlib.h>
#include "calcul_de_triangles.h"

int main( int argc, char** argv ) {
    matrice_adjacence* m = creer_matrice_adjacence(5);
    liste_adjacence* l = creer_liste_adjacence(5);

    // Matrice d'adjacence
    ajouter_voisins_matrice(m, 0, 4);
    ajouter_voisins_matrice(m, 0, 3);
    ajouter_voisins_matrice(m, 0, 1);
    ajouter_voisins_matrice(m, 1, 3);
    ajouter_voisins_matrice(m, 1, 2);
    ajouter_voisins_matrice(m, 1, 4);
    ajouter_voisins_matrice(m, 2, 4);
    ajouter_voisins_matrice(m, 3, 4);
    ajouter_voisins_matrice(m, 3, 4);
    // Liste d'adjacence
    ajouter_voisins_liste(l, 0, 4);
    ajouter_voisins_liste(l, 0, 3);
    ajouter_voisins_liste(l, 0, 1);
    ajouter_voisins_liste(l, 1, 4);
    ajouter_voisins_liste(l, 1, 3);
    ajouter_voisins_liste(l, 1, 2);
    ajouter_voisins_liste(l, 2, 4);
    ajouter_voisins_liste(l, 3, 4);
    ajouter_voisins_liste(l, 3, 4);

// Algorithme 1
liste_triangles lt = calcul_triangle_1(m);
print_liste_triangles(lt);
detruire_liste_triangles(lt);
lt = calcul_triangle_2(l);
print_liste_triangles(lt);
detruire_liste_triangles(lt);
lt = calcul_triangle_3(l);
print_liste_triangles(lt);
detruire_liste_triangles(lt);

detruire_matrice_adjacence(m);
    detruire_liste_adjacence(l);
    return EXIT_SUCCESS;
}
